import * as React from "react";
import { useRouteError } from "react-router-dom";
import "@scss/error.scss"

export default function ErrorPage() {
    const error: any = useRouteError();
    console.error(error);

    return (
        <main id="root">
            <div id="error-page">
                <h1>Oops!</h1>
                <p>Sorry, an unexpected error has occurred.</p>
                <p>
                    <i>{error.statusText || error.message}</i>
                </p>
            </div>
        </main>
    );
}
